\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, ../../yomcat}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 3 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{enumerate}
		\item[\ltr] Assume \mbc{S} is not finitely satisfiable. Then there exists a finite subset of \mbc{S}, \mbc{S}$_0$ such that \mbc{S}$_0$ is not satisfiable. This means that there is no truth assignment $\varphi$ such that $\varphi(F) = 1$ $\forall F \in \mbc{S}_0$. Let \mbc{S}$_0 = \{F_1, \dots, F_n\}$. Then $\varphi(F_1 \land \cdots \land F_n) = 0$. This means that \mbc{S} does not have \textsl{fip}. \\
		 So, by contrapositive, if \mbc{S} does have \textsl{fip} then it is finitely satisfiable. \pend
		\item[\rtl] Let \mbc{S}$_0 = \{F_1, \dots, F_m\}$ be any finite subset of \mbc{S}. \mbc{S} is finitely satisfiable, so there exists a truth assignment $\varphi$ such that $\varphi(F) = 1$ $\forall F \in \mbc{S}_0$. Therefore, $\varphi(F_1 \land \cdots \land F_n) = 1$ and $F_1 \land \cdots \land F_n$ is not a contradiction. Therefore, \mbc{S} has \textsl{fip}. \pend
	\end{enumerate}
	\item By the compactness theorem, if \mbc{R} is satisfiable, then every finite subset of \mbc{R} is satisfiable, so \mbc{R} is finitely satisfiable. Also, from lectures, we know that if \mbc{T} is finitely satisfiable, then either $\mbc{T} \cup \{F\}$ or $\mbc{T} \cup \{\lnot F\}$ is also finitely satisfiable (and, by compactness, therefore satisfiable). \\
	\mbc{S}$_0 \subseteq \mbc{S}$, and \mbc{S} is satisfiable, so either $\mbc{S}_0 \cup \{F\}$ or $\mbc{S}_0 \cup \{\lnot F\}$ is satisfiable. As $\mbc{S}_0 \cup \{F\}$ is not satisfiable, $\mbc{S}_0 \cup \{\lnot F\}$ must be satisfiable. \pend
	\item \begin{enumerate}[(a)]
		\item Let $\mbc{S}_0$ be the set of wffs that are used in the derivation of $F$ and are in \mbc{S}. As each step in the derivation of $F$ is either an axiom, a wff from \mbc{S} or an inference on earlier wffs, \mbc{S}$_0 \vdash F$, as the only elements of \mbc{S} actually used in the derivation are those which are contained in \mbc{S}$_0$, by definition of $\mbc{S}_0$. \pend
		\item Let ($F_1, \cdots, F_n = F$) be a proof of $F$ and let ($G_1, \cdots, G_m = G$) be a proof of $G$. Then append the proof of $G$ to the end of of the proof of $F$, and let the next step be Conjugation on steps $n$ ($F$) and $n + m$ ($G$), giving $F \land G$. Then $\mbc{S} \vdash F \land G$. \pend
		\item Let ($F_1, \cdots, F_n = F$) be a proof of $F$ from \mbc{S} and let ($G_1 = F, \cdots, G_m = G$) be a proof of $G$ from $F$. $G_1 = F$ as $F \vdash G$ and I can assume that $G_1$ is $F$ WOLOG. Now concatenate these two proofs in the obvious way - ($F_1, \cdots, F_n = F = G_1, \cdots, G_m = G$). Using this proof, $\mbc{S} \vdash G$. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item \begin{align}
		F \lor \lnot F \tag{1 - Axiom} \\
		(F \lor \lnot F) \lor \lnot G \tag{2 - A on 1} \\
		(\lnot F \lor F) \lor \lnot G \tag{3 - SR on 2} \\
		\lnot G \lor (\lnot F \lor F) \tag{4 - SR on 3} \\
		(\lnot G \lor \lnot F) \lor F \tag{5 - SR on 4} \\
		\lnot (G \land F) \lor F \tag{6 - SR on 5} \\
		(F \land G) \to F \tag{7 - SR on 6}
		\end{align}
		\item \begin{align}
		F \lor \lnot G \tag{1 - Premiss} \\
		\lnot G \lor F \tag{2 - SR on 1} \\
		(\lnot G \lor F) \lor \lnot H \tag{3 - A on 2} \\
		\lnot H \lor (\lnot G \lor F) \tag{4 - SR on 3} \\
		\lnot H \lor (G \to F) \tag{5 - SR on 4} \\
		H \to (G \to F) \tag{6 - SR on 5}
		\end{align}
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item Assume that some finite subset \mbc{S}$_0$ of \mbc{S} is not consistent. Then $\mbc{S}_0 \vdash F$ and $\mbc{S}_0 \vdash \lnot F$. But a \mbc{Q}-derivation only uses axioms, formulas from \mbc{Q} or inferences from earlier steps. As $\mbc{S}_0 \subseteq \mbc{S}$, a \mbc{S}$_0$-derivation is also a \mbc{S}-derivation. So \mbc{S} is not consistent, and the result follows via contrapositive. \pend
		\item Assume that \mbc{S} is not consistent. Then $\mbc{S} \vdash F$ and $\mbc{S} \vdash \lnot F$. By an earlier question (3a), $\exists$ $\mbc{S}_1 \subseteq \mbc{S}$ such that $\mbc{S}_1 \vdash F$ and $\exists$ $\mbc{S}_2$ such that $\mbc{S}_2 \vdash \lnot F$. Let $\mbc{S}_0 = \mbc{S}_1 \cup \mbc{S}_2$. Then $\mbc{S}_0 \vdash F$ and $\mbc{S}_0 \vdash \lnot F$, and therefore \mbc{S}$_0$ is not consistent. The result follows from the contrapositive. \pend
	\end{enumerate}
\end{enumerate}

\end{document}